<div nz-row nzGutter="8">
  <div nz-col nzXs="24" nzSm="24" nzXl="6" style="margin-bottom: 10px;">
    <nz-card [nzTitle]="profileTpl" nzSize="small" [nzLoading]="isLoading" style="margin-bottom: 10px;">
      <ng-template #profileTpl>
        <div style="text-align: center;">
          {{ party?.name }}
        </div>
      </ng-template>

      <div style="text-align: center;">
        <app-entity-avatar *ngIf="party" entityType="party" [(avatar)]="party.avatar"></app-entity-avatar>

        <div>
          {{ "Common.Location" | translate }}:
          <a style="margin-right: 5px" [routerLink]="['/region', party?.region?.id]">{{ party?.region?.name }}</a>
          <span *ngIf="party?.region?.country">of
            <a [routerLink]="['/country', party?.region?.country?.id]">{{party?.region?.country?.name}}</a>
          </span>
        </div>

        <nz-divider></nz-divider>

        <button *ngIf="!isEntity  && isMember == true" class="button-basic" nz-button nzShape="round"
          (click)="switchTo(party?.id)" nz-tooltip nzTooltipTitle='{{ "Common.Buttons.Switch" | translate }}'>
          <i class="fas fa-redo"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round"
          [routerLink]="['/donate/party/', party?.id]" nz-tooltip
          nzTooltipTitle='{{ "Common.Buttons.Donate" | translate }}'>
          <i class="fas fa-donate"></i>
        </button>

        <button *ngIf="!isEntity" class="button-basic" nz-button nzShape="round"
          [routerLink]="['/trade/party/', party?.id]" nz-tooltip
          nzTooltipTitle='{{ "Economy.Trade.Trad" | translate }}'>
          <i class="far fa-handshake"></i>
        </button>

        <button nz-button nzShape="round" *ngIf="isMember === true" class="button-basic" nz-tooltip
          nzTooltipTitle="{{ 'Citizen.Company.Resign' | translate }}" (click)="resign()">
          <i class="fas fa-sign-out-alt"></i>
        </button>

        <app-report-button *ngIf="!isEntity" entityType="party" [entityId]="party?.id"></app-report-button>

        <button nz-button nzShape="round" *ngIf="isEntity" class="button-basic" nz-tooltip
          nzTooltipTitle="{{ 'Politics.Elections.PartyElectionManage' | translate }}"
          [routerLink]="['/party/', party?.id, 'election']">
          <i class="fas fa-vote-yea"></i>
        </button>

        <button *ngIf="isMod" class="button-basic" nz-button nzShape="round" (click)="showModPanel()"
          nz-tooltip="Mod panel">
          <span nz-icon nzType="more" nzTheme="outline"></span>
        </button>

        <app-entity-settings *ngIf="isEntity && party" [(entity)]="party" entityType="party"></app-entity-settings>
      </div>
    </nz-card>

    <app-entity-members *ngIf="party" [entityId]="id" entityType="parties"></app-entity-members>

    <app-common-currencies-list *ngIf="party && isEntity === true" [showHistoryButton]="true" entityType="party"
      [entityId]="id"></app-common-currencies-list>

    <app-moderator-notes-list *ngIf="party" [entityId]="party?.id" entityType="party"></app-moderator-notes-list>
  </div>

  <div nz-col nzXs="24" nzSm="24" nzXl="18">
    <app-entity-bio *ngIf="isEntity || (!isEntity && party?.bio)" [bio]="party?.bio" [isEntity]="isEntity">
    </app-entity-bio>

    <app-elections-upcoming [countryId]="party?.region?.country?.id" [partyId]="party?.id"></app-elections-upcoming>
  </div>
</div>
